curl -X DELETE 'https://api.yativo.com/api/v1/business/webhook/wh-01abc123' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
const response = await fetch(
`https://api.yativo.com/api/v1/business/webhook/${webhookId}`,
{
method: 'DELETE',
headers: { 'X-Api-Key': process.env.YATIVO_API_KEY, 'X-Api-Secret': process.env.YATIVO_API_SECRET },
}
);
const data = await response.json();
{
"status": "success",
"status_code": 200,
"message": "Webhook deleted successfully"
}
{
"status": "failed",
"status_code": 404,
"message": "Request failed.",
"data": {
"error": "Webhook not found"
}
}
Webhooks
Delete Webhook
Remove a registered webhook endpoint
DELETE
/
business
/
webhook
/
{webhook_id}
curl -X DELETE 'https://api.yativo.com/api/v1/business/webhook/wh-01abc123' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
const response = await fetch(
`https://api.yativo.com/api/v1/business/webhook/${webhookId}`,
{
method: 'DELETE',
headers: { 'X-Api-Key': process.env.YATIVO_API_KEY, 'X-Api-Secret': process.env.YATIVO_API_SECRET },
}
);
const data = await response.json();
{
"status": "success",
"status_code": 200,
"message": "Webhook deleted successfully"
}
{
"status": "failed",
"status_code": 404,
"message": "Request failed.",
"data": {
"error": "Webhook not found"
}
}
Delete a webhook endpoint. Yativo will stop delivering events to this URL immediately.
DELETE https://api.yativo.com/api/v1/business/webhook/{webhook_id}
curl -X DELETE 'https://api.yativo.com/api/v1/business/webhook/wh-01abc123' \
-H 'X-Api-Key: YOUR_API_KEY' \
-H 'X-Api-Secret: YOUR_API_SECRET'
const response = await fetch(
`https://api.yativo.com/api/v1/business/webhook/${webhookId}`,
{
method: 'DELETE',
headers: { 'X-Api-Key': process.env.YATIVO_API_KEY, 'X-Api-Secret': process.env.YATIVO_API_SECRET },
}
);
const data = await response.json();
{
"status": "success",
"status_code": 200,
"message": "Webhook deleted successfully"
}
{
"status": "failed",
"status_code": 404,
"message": "Request failed.",
"data": {
"error": "Webhook not found"
}
}
Authorizations
Your API key (yativo_pk_...) from Developers → API Keys. Send together with X-Api-Secret.
Your API secret (yativo_sk_...), shown once when the key is created.
Path Parameters
The ID of the webhook to delete. Returned when the webhook was created.

